searchData={"items":[{"type":"module","title":"MIME","doc":"Maps MIME types to its file extensions and vice versa.\n\nMIME types can be extended in your application configuration\nas follows:\n\n    config :mime, :types, %{\n      \"application/vnd.api+json\" => [\"json-api\"]\n    }\n\nNote that defining a new type will completely override all\nprevious extensions. You can use `MIME.extensions/1` to get\nthe existing extension to keep when redefining.\n\nYou can also customize the extensions for suffixes. For example,\nthe mime type \"application/custom+gzip\" returns the extension\n`\".gz\"` because the suffix \"gzip\" maps to `[\"gz\"]`:\n\n    config :mime, :suffixes, %{\n      \"gzip\" => [\"gz\"]\n    }\n\nAfter adding the configuration, MIME needs to be recompiled\nif you are using an Elixir version earlier than v1.15. In such\ncases, it can be done with:\n\n    $ mix deps.clean mime --build","ref":"MIME.html"},{"type":"function","title":"MIME.compiled_custom_types/0","doc":"Returns the custom types compiled into the MIME module.","ref":"MIME.html#compiled_custom_types/0"},{"type":"function","title":"MIME.extensions/1","doc":"Returns the extensions associated with a given MIME type.","ref":"MIME.html#extensions/1"},{"type":"function","title":"Examples - MIME.extensions/1","doc":"iex> MIME.extensions(\"text/html\")\n    [\"html\", \"htm\"]\n\n    iex> MIME.extensions(\"application/json\")\n    [\"json\"]\n\n    iex> MIME.extensions(\"application/vnd.custom+xml\")\n    [\"xml\"]\n\n    iex> MIME.extensions(\"foo/bar\")\n    []","ref":"MIME.html#extensions/1-examples"},{"type":"function","title":"MIME.from_path/1","doc":"Guesses the MIME type based on the path's extension. See `type/1`.","ref":"MIME.html#from_path/1"},{"type":"function","title":"Examples - MIME.from_path/1","doc":"iex> MIME.from_path(\"index.html\")\n    \"text/html\"","ref":"MIME.html#from_path/1-examples"},{"type":"function","title":"MIME.has_type?/1","doc":"Returns whether an extension has a MIME type registered.","ref":"MIME.html#has_type?/1"},{"type":"function","title":"Examples - MIME.has_type?/1","doc":"iex> MIME.has_type?(\"html\")\n    true\n\n    iex> MIME.has_type?(\"foobarbaz\")\n    false","ref":"MIME.html#has_type?/1-examples"},{"type":"function","title":"MIME.known_types/0","doc":"Returns a mapping of all known types to their extensions,\nincluding custom types compiled into the MIME module.","ref":"MIME.html#known_types/0"},{"type":"function","title":"Examples - MIME.known_types/0","doc":"known_types()\n    #=> %{\"application/json\" => [\"json\"], ...}","ref":"MIME.html#known_types/0-examples"},{"type":"function","title":"MIME.type/1","doc":"Returns the MIME type associated with a file extension.\n\nIf no MIME type is known for `file_extension`,\n`\"application/octet-stream\"` is returned.","ref":"MIME.html#type/1"},{"type":"function","title":"Examples - MIME.type/1","doc":"iex> MIME.type(\"html\")\n    \"text/html\"\n\n    iex> MIME.type(\"foobarbaz\")\n    \"application/octet-stream\"","ref":"MIME.html#type/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}